Name:		p7zip
Version:	15.14.1
Release:	%mkrel 1
Summary:	7-zip compatible compression program
License:	LGPLv2+
Group:		Archiving/Compression
Url:		http://p7zip.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/p7zip/%{name}_%{version}_src_all.tar.xz
Patch0:		CVE-2016-2334.patch
Patch1:		CVE-2016-2335.patch
%ifarch %{ix86}
BuildRequires:	nasm
%endif
%ifarch x86_64
BuildRequires:	yasm
%endif

%description
p7zip is a port of 7za.exe for Unix. 7-Zip is a file archiver with
a high compression ratio.

%prep
%setup -q -n %{name}_%{version}
%apply_patches

%ifarch x86_64
cp makefile.linux_amd64_asm makefile.machine
%endif
%ifarch %{ix86}
cp makefile.linux_x86_asm_gcc_4.X makefile.machine
%endif
%ifarch ppc ppc64
cp -f makefile.linux_any_cpu_gcc_4.X makefile.machine
%endif

find DOC -type d|xargs chmod 755
find README ChangeLog TODO DOC -type f|xargs chmod 644
#gw don't package this, it is non-free like unrar
find . -name 'unRarLicense.txt' -delete
#fix wrong-file-end-of-line-encoding
find ./DOC/MANUAL -name 'style.css' -exec sed -i 's/\r$//' {} \;

%build
%make all3 OPTFLAGS="%{optflags}"

%install
rm -rf %buildroot
%make_install \
	DEST_HOME=%{buildroot}%{_prefix} \
	DEST_MAN=%{buildroot}%{_mandir} \
	DEST_SHARE=%{buildroot}%{_libdir}/%{name}

chmod -R +w %{buildroot}
#gw don't package this, it is non-free like unrar
find %{buildroot} -name 'Rar*.so' -delete
#gw fix paths in wrapper scripts and man pages
perl -pi -e "s^%{buildroot}^^" %{buildroot}%{_bindir}/* %{buildroot}%{_mandir}/man1/*
#(daviddavid) remove unwanted packaged docs
rm -rf %{buildroot}%{_docdir}/%{name}/DOC

%files
%doc README ChangeLog TODO DOC/*
%{_bindir}/7za
%{_bindir}/7zr
%{_bindir}/7z
%{_libdir}/p7zip
%{_mandir}/man1/*


%changelog
* Sun Nov 27 2016 adrianomorselli <adrianomorselli> 15.14.1-1uplos2016
- rebuild

* Fri Jul 08 2016 bb <bb> 15.14.1-1pclos2016
- update for 2016

